/*
 * @Author: zhanyoulin<zhanyoulin456@163.com>
 * @Date: 2023-06-29 15:58:11
 * @LastEditors: zhanyoulin
 * @LastEditTime: 2023-07-03 16:13:30
 * @Description:
 */
import { useAuthStore } from '@/stores/modules/auth'
const authStore = useAuthStore()

export const useBasic = () => {
  // 设置面包屑
  const setBreadcrumb = (data: any[]) => {
    authStore.setBreadcrumb(data)
  }
  // 设置激活菜单名称
  const setMenuSign = (str: string) => {
    authStore.setMenuSign(str)
  }
  return {
    setBreadcrumb,
    setMenuSign
  }
}
